/*
*  C Implementation: pngutil.h
*
* Description:
*
*
* Author: RealQuick <realquick@doublequick.de>, (C) 2009
*
* Copyright: See COPYING file that comes with this distribution
*
*/

#ifndef __PNGUTILS_H
#define __PNGUTILS_H

#include <png.h>
#include <vdr/plugin.h>

class cPngUtils
{
private:
    unsigned int width;
    unsigned int height;
    unsigned int rowsize;
protected:
    unsigned char *bmp;
public:
    cPngUtils();
    cPngUtils(int w, int h);

    ~cPngUtils();

    int ReadJpeg(char *sPath);

    int WriteFile(unsigned char nTransparenz, int xpos, int ypos, char *sPath, bool bIsPNG=false, int rel_width = 0, int rel_height = 0, int rel_rowsize = 0);
    int WriteFile(cOsd *Osd, unsigned char nTransparenz, int w, int h, int x, int y, int *nImageIdPos, bool bIsPNG=false);

    int DumpRaw(char *sPath, int step=1);

    int nImageIdPos;

    int nMaxPNGWidth;
    int nMaxPNGHeight;

    int Rowsize(void)
    {
        return rowsize;
    };
    int Width(void)
    {
        return width;
    };
    int Height(void)
    {
        return height;
    };
};

#endif //__PNGUTILS_H
