/*
 * menu.h: TODO: Decsription
 *
 * See the README file for copyright information and how to reach the author.
 *
 * Copyright (C) 2009 Hans Quick
*/

#ifndef __IEPG_MENU_H
#define __IEPG_MENU_H

#include <vdr/tools.h>
#include <vdr/player.h>
#include <vdr/osdbase.h>

#include "channelData.h"

#include <vector>

#include <cstring>
#include <string>

using namespace std;

struct logs
{
    string description;
    string wdir;
    string logfile;
    string date;
};

class ciepgExpertMenu: public  cMenuText
{
public:
    ciepgExpertMenu(const char *xTitle, const char *xText);
//    virtual void Display(void);
    virtual eOSState ProcessKey(eKeys Key);
};

class ciepgMenu: public  cOsdMenu
{
private:
    cOsdMenu *mMenu;
public:
    std::vector < logs > LogList;

    ciepgMenu(char *xDir);
    virtual void Display(void);
    virtual eOSState ProcessKey(eKeys Key);
    virtual ~ciepgMenu();

    char *sDir;
    void showHelp();
};

#endif // __IEPG_MENU_H
